# Class IllegalAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.IllegalAccessException

public class IllegalAccessException extends Exception
Thrown when an application tries to load in a class, but the currently executing method does not have access to the definition of the specified class, because the class is not public and in another package. An instance of this class can also be thrown when an application tries to create an instance of a class using the newInstance method in class Class, but the current method does not have access to the appropriate zero-argument constructor. Since: JDK1.0, CLDC 1.0 See Also:Class.forName(java.lang.String), Class.newInstance()

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalAccessException()`
  Constructs an IllegalAccessException without a detail message.
  `IllegalAccessException(String s)`
  Constructs an IllegalAccessException with a detail message.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  `Throwable`
  `getCause()`
  Returns the cause of this throwable or null if the cause is nonexistent or unknown.
  `String`
  `getLocalizedMessage()`
  `String`
  `getMessage()`
  Returns the error message string of this Throwable object.
  `StackTraceElement[]`
  `getStackTrace()`
  `final Throwable[]`
  `getSuppressed()`
  `Throwable`
  `initCause(Throwable cause)`
  Deprecated.
  DO NOT USE THIS METHOD, its here just to get the compiler working and isn't intended for use
  `void`
  `printStackTrace()`
  Prints this Throwable and its backtrace to the standard error stream.
  `void`
  `setStackTrace(StackTraceElement[] el)`
  `String`
  `toString()`
  Returns a short description of this Throwable object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### IllegalAccessException

    public IllegalAccessException()
    Constructs an IllegalAccessException without a detail message.

  - ### IllegalAccessException

    public IllegalAccessException(String s)
    Constructs an IllegalAccessException with a detail message. s - the detail message.